# Included from Makefile.
# 
# Required vars:
#
#  ${CPP}        - C preprocessor name
#  ${CPPFLAGS}   - preprocessor flags (including defs)
#
#  ${ARCHFILES}  - All file names to include in archive
#                  .depend, depfun.mak and Makefile are
#                  automatically included.
#  ${ARCHNAME}   - Name of program. Example: testprog-0.0.1
#

include .depend

depend: dep
dep:
	- for s in *.c *.cc; do ${CPP} ${CPPFLAGS} -MM $$s; done > .depend

pak: ${ARCHFILES} .depend
	- mkdir ${ARCHNAME}
	cp -lfr ${ARCHFILES} depfun.mak Makefile .depend ${ARCHNAME}/
	tar cfz ${ARCHNAME}.tar.gz ${ARCHNAME}/
	tar cfy ${ARCHNAME}.tar.bz2 ${ARCHNAME}/
	rm -rf ${ARCHNAME}
